<!--
=========================================================
* Soft UI Dashboard - v1.0.1
=========================================================

* Product Page: https://www.creative-tim.com/product/black-dashboard
* Copyright 2021 Creative Tim (https://www.creative-tim.com)
* Licensed under MIT (https://github.com/creativetimofficial/black-dashboard/blob/master/LICENSE.md)

* Coded by Creative Tim

=========================================================

* The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
-->
<!DOCTYPE html>
<html lang="ru">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <link rel="apple-touch-icon" sizes="76x76" href="<?php echo e(asset('softd')); ?>/img/apple-icon.png">
  <link rel="icon" type="image/png" href="<?php echo e(asset('softd')); ?>/img/favicon.png">
  <title>
    <?php echo e($vendor->name." - ".config('app.name')); ?>

  </title>
  <!--     Fonts and icons     -->
  <link href="<?php echo e(asset('css')); ?>/gfonts.css" rel="stylesheet">

  <!-- Nucleo Icons -->
  <link href="<?php echo e(asset('softd')); ?>/css/nucleo-icons.css" rel="stylesheet" />
  <link href="<?php echo e(asset('softd')); ?>/css/nucleo-svg.css" rel="stylesheet" />
  <!-- Font Awesome Icons -->
  <script src="<?php echo e(asset('vendor')); ?>/fa/fa.js" crossorigin="anonymous"></script>
  <link href="<?php echo e(asset('softd')); ?>/css/nucleo-svg.css" rel="stylesheet" />
  <!-- CSS Files -->
  <link id="pagestyle" href="<?php echo e(asset('softd')); ?>/css/soft-ui-dashboard.css?v=1.0.1" rel="stylesheet" />

  <!-- Select2  -->
  <link type="text/css" href="<?php echo e(asset('custom')); ?>/css/select2.min.css" rel="stylesheet">

  <!--Custom CSS -->
  <link type="text/css" href="<?php echo e(asset('custom')); ?>/css/custom.css" rel="stylesheet">

  <link type="text/css" href="<?php echo e(asset('custom')); ?>/css/pos.css" rel="stylesheet">
  
  <?php $config = (new \LaravelPWA\Services\ManifestService)->generate(); echo $__env->make( 'laravelpwa::meta' , ['config' => $config])->render(); ?>

</head>

<body class="g-sidenav-show bg-gray-100">
  <div class="main-content position-relative bg-gray-100">
    <?php echo $__env->make('kitchendisplay::navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->yieldContent('orders'); ?>
    </div>
  </div>
  <!--   Core JS Files   -->
  <script src="<?php echo e(asset('softd')); ?>/js/core/popper.min.js"></script>
  <script src="<?php echo e(asset('softd')); ?>/js/core/bootstrap.min.js"></script>
  <script src="<?php echo e(asset('softd')); ?>/js/plugins/smooth-scrollbar.min.js"></script>
  <!-- Control Center for Soft Dashboard: parallax effects, scripts for the example pages etc -->
  <script src="<?php echo e(asset('softd')); ?>/js/soft-ui-dashboard.min.js?v=1.0.1"></script>

  <script src="<?php echo e(asset('argon')); ?>/vendor/jquery/dist/jquery.min.js"></script>

  <!-- Import Vue -->
  <script src="<?php echo e(asset('vendor')); ?>/vue/vue.js"></script>
  <!-- Import AXIOS --->
  <script src="<?php echo e(asset('vendor')); ?>/axios/axios.min.js"></script>

  <!-- Import Interact --->
  <script src="<?php echo e(asset('vendor')); ?>/interact/interact.min.js"></script>
  
  <!-- Import Select2 --->
  <script src="<?php echo e(asset('vendor')); ?>/select2/select2.min.js"></script>

  <!-- printThis -->
  <script src="<?php echo e(asset('vendor')); ?>/printthis/printThis.js"></script> 



   <!-- Add to Cart   -->
   <script>
      var LOCALE="<?php echo  App::getLocale() ?>";
      var CASHIER_CURRENCY = "<?php echo  config('settings.cashier_currency') ?>";
      var USER_ID = '<?php echo e(auth()->user()&&auth()->user()?auth()->user()->id:""); ?>';
      var PUSHER_APP_KEY = "<?php echo e(config('broadcasting.connections.pusher.key')); ?>";
      var PUSHER_APP_CLUSTER = "<?php echo e(config('broadcasting.connections.pusher.options.cluster')); ?>";
      var CASHIER_CURRENCY = "<?php echo  config('settings.cashier_currency') ?>";
      var LOCALE="<?php echo  App::getLocale() ?>";
      var SELECT_OR_ENTER_STRING="<?php echo e(__('Select, or enter keywords to search items')); ?>";
      var TOKEN="<?php echo $token ?>"

      // "Global" flag to indicate whether the select2 control is oedropped down).
      var _selectIsOpen = false;

      
   </script>
   <script src="<?php echo e(asset('custom')); ?>/js/cartKDSFunctions.js"></script>
   
   <!-- Cart custom sidemenu -->
   <script src="<?php echo e(asset('custom')); ?>/js/cartSideMenu.js"></script>

   <!-- All in one -->
   <script src="<?php echo e(asset('custom')); ?>/js/js.js?id=<?php echo e(config('config.version')); ?>"></script>

   <!-- Notify JS -->
   <script src="<?php echo e(asset('custom')); ?>/js/notify.min.js"></script>


  <?php echo $__env->yieldPushContent('js'); ?>
  <?php echo $__env->yieldContent('js'); ?>

  <script>
    var win = navigator.platform.indexOf('Win') > -1;
    if (win && document.querySelector('#sidenav-scrollbar')) {
      var options = {
        damping: '0.5'
      }
      Scrollbar.init(document.querySelector('#sidenav-scrollbar'), options);
    }

  </script>


  <script type="text/javascript">

      $(function() {
        //INterval getting orders
        setInterval(() => {
          getAllOrders();

        }, 12000);


      });
      
    
  

   


  </script>


    
     

</body>

</html><?php /**PATH /home2/avenuepl/public_html/suite/modules/Kitchendisplay/Providers/../Resources/views/layouts/master.blade.php ENDPATH**/ ?>